package Tests_Tracker;

import com.lobsterman.JavaGrinders.*;
import com.lobsterman.JavaGrinders.Tracker.*;

/**
 * demo class to control the sequence grabber classes for tracking multiple dark object
 *
 * @author      robert <a href="mailto:lobsterman.bgsu@gmail.com">lobsterman</a> huber
 * @Version	@(#)MultiObjectTracker.java 3/11/15
 */
public class CVTracker_multiObj {	
    static int camID = 0;
    static int pixelThreshold = 30;
    static int objectSize = 300;
    static boolean darkObject = true;
    static float kFps = 5;
    static int kSecsToRun = -1;
    static boolean toFile = false;
    static boolean toScreen = true;
	static int kNumObjects = 3;
	
    public static void main (String args[]) {
		JavaGrinders.listDetail = true;
    	try {
    		TrackingJobSetting tJob = new TrackingJobSetting(null,pixelThreshold,objectSize,darkObject,kNumObjects);
    		TrackingJobSettingsGroup trackJGroup = new TrackingJobSettingsGroup(tJob);

    		OpenCVTracker openCVDataProcDemo = new OpenCVTracker(camID);
    		openCVDataProcDemo.initializeTracker(kFps,kSecsToRun,trackJGroup,toFile,false,toScreen,null,null);
    		openCVDataProcDemo.setVisible(true);
		} catch (Exception e) { e.printStackTrace(); }
    }
}
